summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <hans@degraaff.org>2022-06-28 06:47:41 +0200
committerHans de Graaff <hans@degraaff.org>2022-06-28 06:47:41 +0200
commit7183a3c33c9d17cc9a666d6e9bf467f34699b691 (patch)
tree26a28e2fa0c51bf50924d963298d0745f10d3bf2
parentdev-ruby/bootstrap_form: add 5.1.0 (diff)
downloadgraaff-master.tar.gz
graaff-master.tar.bz2
graaff-master.zip
dev-ruby/rubocop: add 1.31.0HEADmaster
Signed-off-by: Hans de Graaff <hans@degraaff.org>
-rw-r--r--dev-ruby/rubocop/Manifest1
-rw-r--r--dev-ruby/rubocop/rubocop-1.31.0.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/dev-ruby/rubocop/Manifest b/dev-ruby/rubocop/Manifest
index 824e6f57..4ba3b7b3 100644
--- a/dev-ruby/rubocop/Manifest
+++ b/dev-ruby/rubocop/Manifest
@@ -3,3 +3,4 @@ DIST rubocop-1.28.2.tar.gz 2105332 BLAKE2B 4452218ca84a76005a1b3ec6e7a6662bac022
DIST rubocop-1.29.1.tar.gz 2114948 BLAKE2B f7bc9c7096a8f35d86fc9bb30114ebb30a3c1454c6697fb617f32c8d9e34eacafe9c2d6070b467149f1671080dad8eb6e1a44d68a9c524922c7e4c11c2d8ad1f SHA512 4d40c48f695fb4b50050e7fc05e84b98483dbbc2d4bce6a7926c88014eb1aeb68e16c2994b1b4a5d4c96c373e165db7bb294686ef0f0beb563da27cf8342e73b
DIST rubocop-1.30.0.tar.gz 2126242 BLAKE2B 9fe2f263c419721859ccb6e8196047e7670e0f845b0a898b77f75b4b40ee60a1ee0d0398420102841dc4a4706728666f6e8c0fcd84551854c986bb32d15d5be5 SHA512 f1dde8c761eabc51ebecddb8cddf7b80c8b4fcd36b9b865a7300e4df1c7458b89434f08841c1914c9caedfeafdc54d0afda9cb4bfbff2849737e4eaeaf9e7dca
DIST rubocop-1.30.1.tar.gz 2127013 BLAKE2B 5ab793c7db2a7e8fad60da10c58a40964b6f137a85ce0698f777e9c5528a17afa0596428d6ba7619859399eaeeafa6243bda154f894123ca25df4dbb00fb7330 SHA512 513bacd8bc08582165a31506b01db75bef2a9f1c38599df81baf3c4ad06a424fb934078f97e178fc710097f6cad01d870a29eb64734399fca0fc277d7e058280
+DIST rubocop-1.31.0.tar.gz 2149723 BLAKE2B f852e9131115e4a7673524fa959ff4cbbb5f1453780fd7ebcfe7f2c4eabfa1c2145b30130815443645915f76731d7587a61b4860616267018f6a30d591bc7c8a SHA512 9e376765ed3c82bf7b68f236c8df9da58cdc4b4b32c4bf0106e13a3d47cebbb45d232b37f075f1247ab7f8fe88587a1e842c60992ac64dc62a3bd865c5a27c12
diff --git a/dev-ruby/rubocop/rubocop-1.31.0.ebuild b/dev-ruby/rubocop/rubocop-1.31.0.ebuild
new file mode 100644
index 00000000..29a482e6
--- /dev/null
+++ b/dev-ruby/rubocop/rubocop-1.31.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRAINSTALL="assets config"
+RUBY_FAKEGEM_BINDIR="exe"
+
+RUBY_FAKEGEM_GEMSPEC="rubocop.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby static code analyzer"
+HOMEPAGE="https://github.com/bbatsov/rubocop"
+SRC_URI="https://github.com/bbatsov/rubocop/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "
+ >=dev-ruby/parallel-1.10:1
+ >=dev-ruby/parser-3.1.0.0
+ dev-ruby/rainbow:3
+ || ( dev-ruby/regexp_parser:2 >=dev-ruby/regexp_parser-1.8.0:1 )
+ >=dev-ruby/rexml-3.2.5:3
+ >=dev-ruby/rubocop-ast-1.18.0:1
+ >=dev-ruby/ruby-progressbar-1.7:0
+ || ( dev-ruby/unicode-display_width:2 >=dev-ruby/unicode-display_width-1.4.0:1 )"
+
+ruby_add_bdepend "test? ( dev-ruby/bundler dev-ruby/webmock )"
+
+all_ruby_prepare() {
+ sed -e '/pry/ s:^:#:' \
+ -i spec/spec_helper.rb || die
+ sed -i -e "s:_relative ': './:" ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid bundler spec
+ sed -i -e '/and the gem is bundled/,/^ end/ s:^:#:' spec/rubocop/config_loader_spec.rb || die
+ sed -i -e '/bundler integration/,/^ end/ s:^:#:' spec/rubocop/cli_spec.rb || die
+ rm -f spec/rubocop/cli_spec.rb spec/rubocop/lockfile_spec.rb || die
+
+ # Avoid specs requiring rubocop-rake
+ sed -i -e '/compliance with rubocop/,/^ end/ s:^:#:' spec/rubocop/cop/generator_spec.rb || die
+
+ # Avoid specs that are not functional and break too often in releases
+ sed -i -e '/has a unique contributor name/askip "too fragile"' spec/project_spec.rb || die
+
+ sed -e 's:/tmp/example:'${TMPDIR}'/example:' \
+ -e 's:/tmp/Gemfile:'${TMPDIR}'/Gemfile:' \
+ -i spec/rubocop/cop/team_spec.rb || die
+}